D4Science Infrastructure - Task #1128

Please Configure tomcat instance of cotrix.d4science.org to restart automatically
Oct 20, 2015 03:59 PM - Massimiliano Assante

Status: Closed Start date: Oct 20, 2015
Priority: Normal Due date: Nov 07, 2015
Assignee: _InfraScience Systems Engineer % Done: 100%
Category: System Application Estimated time: 0.00 hour
Target version: UnSprintable

Infrastructure: Production

Description

Related issues:
Related to D4Science Infrastructure - Task #1127: Add cotrix.d4science.org to... Closed Oct 20, 2015

History

#1 - Nov 05, 2015 12:49 PM - Roberto Cirillo

- Assignee changed from Roberto Cirillo to _InfraScience Systems Engineer

Could you check also if this host is monitored by ganglia or nagios. if it is not, could you add a nagios check?

#2 - Nov 05, 2015 12:54 PM - Andrea Dell'Amico

There are no nagios nor ganglia monitoring.
| was told that the service was going to be dismissed as part of the imminent upgrade. If it's not the case, I'll add it to nagios and ganglia. On what
ganglia cluster?

#3 - Nov 05, 2015 12:55 PM - Andrea Dell'Amico
- Related to Task #1127: Add cotrix.d4science.org to the nagios monitoring added

#4 - Nov 05, 2015 02:26 PM - Roberto Cirillo
Andrea Dell'’Amico wrote:
There are no nagios nor ganglia monitoring.

| was told that the service was going to be dismissed as part of the imminent upgrade. If it's not the case, I'll add it to nagios and ganglia. On
what ganglia cluster?

This is a web app running on tomcat. It is not managed by smartgears but | guess it could be added to Smartgears cluster because In the future, |
guess, this application could be managed by smartgears

#5 - Nov 17, 2015 05:54 PM - Andrea Dell'Amico

- Status changed from New to In Progress

#6 - Nov 17, 2015 06:15 PM - Andrea Dell'’Amico
- % Done changed from 0 to 80

I've added an upstart script: /etc/init/cotrix.conf and tested it (the instance was stopped since the last outage, btw).

#7 - Nov 17, 2015 06:17 PM - Andrea Dell'’Amico

| also removed the /etc/init.d/cotrix script: it didn't set the right username, so it was dangerous.

#8 - Nov 17, 2015 07:24 PM - Andrea Dell'’Amico
- Status changed from In Progress to Closed

- % Done changed from 80 to 100

cotrix.d4science.org is now part of the smartgears ganglia cluster.

Dec 15, 2025 1/1



http://www.tcpdf.org

